Safebuffer with rails 2.3.8

Hi there!

I've just migrated from rails 2.3.5 to 2.3.8 and now I have a lot (and I mean
a lot!) of deprecation warnings like this one: "DEPRECATION WARNING:
ActionView::SafeBuffer is deprecated! Use ActiveSupport::SafeBuffer instead."

But I don't understand how to remove this. I searched through installed
plugins, and there is no reference to SafeBuffer :frowning:

Any help would be appreciated please.

Thanks!

Found it! It was a problem with fckeditor plugin.

And what was the problem? I’m having the same issue.

Best,

Rafael

It's with the javascript include in lib/fckeditor.rb. Just comment out all the
"module ActionView::Helpers::AssetTagHelper" block and include fckeditor.js as
you do with another JS file.
You'll get rid of those deprecation warnings :slight_smile: